// PrName.cpp : implementation file
//

#include "stdafx.h"
#include "systrayplay.h"
#include "PrName.h"
#include "MainWnd.h"
#include "MainHelper.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern Helper m_Helper;

/////////////////////////////////////////////////////////////////////////////
// CPrName dialog


CPrName::CPrName(UINT id, CWnd* pParent /*=NULL*/) : CDialog(id, pParent)
{
	m_prname = _T("");
}


BEGIN_MESSAGE_MAP(CPrName, CDialog)
	ON_EN_CHANGE(IDC_PRNAME, OnChangePrname)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPrName message handlers

void CPrName::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_PRNAME, m_prname);
}


void CPrName::OnChangePrname()
{
	UpdateData(TRUE);
	GetDlgItem(IDOK)->EnableWindow(m_prname != "");
}

BOOL CPrName::OnInitDialog()
{
	CDialog::OnInitDialog();
	m_Helper.translateDlgItemText(this, IDOK);
	m_Helper.translateDlgItemText(this, IDCANCEL);

	GetDlgItem(IDOK)->EnableWindow(FALSE);

	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}
void CPrName::OnOK()
{
	UpdateData(TRUE);
	CDialog::OnOK();
}

