#ifndef FRAME_H
#define FRAME_H
#define MAXFRAMESIZE 1792

#include "args.h"

class Frame
{
public:
	Frame();
	Frame(const Frame& copy);
	~Frame();
	void copy(Frame copy);

	synthProc synth;
	synth_monoProc synth_mono;

	int framesize;

	long stereo;
	long jsbound;
	long single;
	long II_sblimit;
	long lsf;
	long mpeg25;
	unsigned long block_size;
	long lay;
	long error_protection;
	long bitrate_index;
	long sampling_frequency;
	long padding;
	long extension;
	long mode;
	long mode_ext;
	long copyright;
	long original;
	long emphasis;    
	bool result;
	unsigned char body[1 + MAXFRAMESIZE];
};
#endif